Index: tmp/org.txm.xmleditor.rcp/src/org/txm/xmleditor/messages/XMLEditorMessages.java
===================================================================
--- tmp/org.txm.xmleditor.rcp/src/org/txm/xmleditor/messages/XMLEditorMessages.java	(revision 2401)
+++ tmp/org.txm.xmleditor.rcp/src/org/txm/xmleditor/messages/XMLEditorMessages.java	(revision 2402)
@@ -4,18 +4,19 @@
 import org.txm.utils.messages.Utf8NLS;
 
 public class XMLEditorMessages extends NLS {
-
+	
 	private static final String BUNDLE_NAME = "org.txm.xmleditor.messages.messages"; //$NON-NLS-1$
 	
 	public static String OpenXMLEditor_1;
+	
 	public static String OpenXMLEditor_3;
+	
 	public static String OpenXMLEditor_4;
 	
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, XMLEditorMessages.class);
 	}
-
-	private XMLEditorMessages() {
-	}
+	
+	private XMLEditorMessages() {}
 }
Index: tmp/org.txm.xmleditor.rcp/src/org/txm/xmleditor/OpenXMLEditor.java
===================================================================
--- tmp/org.txm.xmleditor.rcp/src/org/txm/xmleditor/OpenXMLEditor.java	(revision 2401)
+++ tmp/org.txm.xmleditor.rcp/src/org/txm/xmleditor/OpenXMLEditor.java	(revision 2402)
@@ -41,9 +41,10 @@
 import org.txm.utils.logger.Log;
 import org.txm.xmleditor.messages.XMLEditorMessages;
 
-public class OpenXMLEditor  extends AbstractHandler {
-
+public class OpenXMLEditor extends AbstractHandler {
+	
 	public static final String ID = "org.txm.xmleditor.OpenXMLEditor"; //$NON-NLS-1$
+	
 	public static String lastopenedfile;
 	
 	
@@ -53,7 +54,7 @@
 		Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
 		IEditorPart editor = HandlerUtil.getActiveWorkbenchWindowChecked(event).getActivePage().getActiveEditor();
 		ISelection iselection = HandlerUtil.getCurrentSelection(event);
-		Object  selection = null;
+		Object selection = null;
 		if (iselection instanceof IStructuredSelection) {
 			selection = ((IStructuredSelection) iselection).getFirstElement();
 		}
@@ -62,72 +63,77 @@
 		String filename = event.getParameter("org.txm.rcp.commands.commandParameter2"); //$NON-NLS-1$
 		IEditorPart reditor = null;
 		if (editor instanceof SynopticEditionEditor) {
-			Text text = ((SynopticEditionEditor)editor).getEditionPanel(0).getEdition().getText();
-			String[] wordSelection = ((SynopticEditionEditor)editor).getEditionPanel(0).getWordSelection();
+			Text text = ((SynopticEditionEditor) editor).getEditionPanel(0).getEdition().getText();
+			String[] wordSelection = ((SynopticEditionEditor) editor).getEditionPanel(0).getWordSelection();
 			
 			File txmFile = text.getXMLTXMFile();
 			if (txmFile != null && txmFile.exists()) {
 				reditor = openfile(txmFile);
-			} else { // wrong link ?
-				txmFile = new File(text.getProject().getProjectDirectory(), "txm/"+text.getProject().getName()+"/"+text.getName()+".xml");
+			}
+			else { // wrong link ?
+				txmFile = new File(text.getProject().getProjectDirectory(), "txm/" + text.getProject().getName() + "/" + text.getName() + ".xml");
 				reditor = openfile(txmFile);
 			}
 			
 			if (wordSelection[0] != null && reditor instanceof XMLMultiPageEditorPart) {
-				XMLMultiPageEditorPart xmlEditor = (XMLMultiPageEditorPart)reditor;
-				System.out.println("xmlEditor="+xmlEditor);
-				System.out.println("word="+wordSelection[0]);
+				XMLMultiPageEditorPart xmlEditor = (XMLMultiPageEditorPart) reditor;
+				System.out.println("xmlEditor=" + xmlEditor);
+				System.out.println("word=" + wordSelection[0]);
 				Object selectedPage = xmlEditor.getSelectedPage();
 				if (selectedPage != null && selectedPage instanceof StructuredTextEditor) {
-//					StructuredTextEditor textEditor = (StructuredTextEditor) selectedPage;
-//					
-//					String search = "\""+wordSelection[0]+"\"";
+					// StructuredTextEditor textEditor = (StructuredTextEditor) selectedPage;
+					//
+					// String search = "\""+wordSelection[0]+"\"";
 					if (wordSelection[1] == null) {
-						System.out.println("Selected word: "+wordSelection[0]);
-					} else {
-						System.out.println("Selected word: from "+wordSelection[0]+" to "+wordSelection[1]);
+						System.out.println("Selected word: " + wordSelection[0]);
 					}
+					else {
+						System.out.println("Selected word: from " + wordSelection[0] + " to " + wordSelection[1]);
+					}
 				}
 			}
-		} else if (selection != null && selection instanceof Line) {
-			Line line = (Line)selection;
+		}
+		else if (selection != null && selection instanceof Line) {
+			Line line = (Line) selection;
 			Concordance conc = line.getConcordance();
 			String text = line.getTextId();
-	
-			File txmFile = new File(conc.getProject().getProjectDirectory(), "txm/"+conc.getCorpus().getID()+"/"+text+".xml");
+			
+			File txmFile = new File(conc.getProject().getProjectDirectory(), "txm/" + conc.getCorpus().getID() + "/" + text + ".xml");
 			reditor = openfile(txmFile);
 			if (reditor != null & reditor instanceof XMLMultiPageEditorPart) {
-				XMLMultiPageEditorPart xmlEditor = (XMLMultiPageEditorPart)reditor;
+				XMLMultiPageEditorPart xmlEditor = (XMLMultiPageEditorPart) reditor;
 				Object selectedPage = xmlEditor.getSelectedPage();
 				if (selectedPage != null && selectedPage instanceof StructuredTextEditor) {
-					System.out.println("Word selection: "+line.getKeywordIds());
+					System.out.println("Word selection: " + line.getKeywordIds());
 				}
 			}
-		} else if (filename != null && !filename.matches("") && !filename.matches(" ")) { //$NON-NLS-1$ //$NON-NLS-2$
-			String filepath = txmhome + "/scripts/" + filename; //$NON-NLS-1$ 
+		}
+		else if (filename != null && !filename.matches("") && !filename.matches(" ")) { //$NON-NLS-1$ //$NON-NLS-2$
+			String filepath = txmhome + "/scripts/" + filename; //$NON-NLS-1$
 			return openfile(new File(filepath));
 		}
-
+		
 		if (reditor != null) return null;
 		
 		
 		File file = null;
 		if (iselection != null & iselection instanceof IStructuredSelection) {
-			for (Object o : ((IStructuredSelection)iselection).toList()) {
-				if(o != null && o instanceof File) {
-					file = (File)o;
+			for (Object o : ((IStructuredSelection) iselection).toList()) {
+				if (o != null && o instanceof File) {
+					file = (File) o;
 					break;
 				}
 			}
 		}
-
+		
 		if (file == null) {
-
+			
 			FileDialog dialog = new FileDialog(shell, SWT.OPEN);
 			if (LastOpened.getFile(ID) != null) {
 				dialog.setFilterPath(LastOpened.getFolder(ID));
 				dialog.setFileName(LastOpened.getFile(ID));
-			} else {
+			}
+			else {
 				dialog.setFilterPath(txmhome);
 			}
 			if (dialog.open() == null) return null;
@@ -136,7 +142,8 @@
 			lastopenedfile = filepath;
 			LastOpened.set(ID, dialog.getFilterPath(), dialog.getFileName());
 			openfile(new File(filepath));
-		} else {
+		}
+		else {
 			if (file.isDirectory()) {
 				FileDialog dialog = new FileDialog(shell, SWT.OPEN);
 				dialog.setFilterPath(file.getAbsolutePath());
@@ -144,38 +151,40 @@
 				String filepath = dialog.getFilterPath()
 						+ "/" + dialog.getFileName(); //$NON-NLS-1$
 				openfile(new File(filepath));
-			} else {
+			}
+			else {
 				openfile(file);
 			}
 		}
-
+		
 		return null;
 	}
-
+	
 	private IEditorPart openfile(File file) {
-		//XMLMultiPageEditorPart editorInput = new ConcordancesEditorInput(corpus, null);
+		// XMLMultiPageEditorPart editorInput = new ConcordancesEditorInput(corpus, null);
 		Log.fine(XMLEditorMessages.OpenXMLEditor_1);
 		IFileStore fileOnLocalDisk = EFS.getLocalFileSystem().getStore(
 				file.toURI());
-
+		
 		FileStoreEditorInput editorInput = new FileStoreEditorInput(fileOnLocalDisk);
 		IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
 		IWorkbenchPage page = window.getActivePage();
-
+		
 		String ID = "org.eclipse.wst.xml.ui.internal.tabletree.XMLMultiPageEditorPart"; //$NON-NLS-1$
 		try {
 			StatusLine.setMessage(XMLEditorMessages.OpenXMLEditor_3);
-			IEditorPart editor = page.openEditor(editorInput, ID); //$NON-NLS-1$
+			IEditorPart editor = page.openEditor(editorInput, ID); // $NON-NLS-1$
 			if (editor != null && editor instanceof XMLMultiPageEditorPart) {
-				XMLMultiPageEditorPart xmlEditor = ((XMLMultiPageEditorPart)editor);
+				XMLMultiPageEditorPart xmlEditor = ((XMLMultiPageEditorPart) editor);
 				xmlEditor.removePage(0);
 				return xmlEditor;
 			}
 			
 			return editor;
-		} catch (PartInitException e) {
-			System.out.println(XMLEditorMessages.OpenXMLEditor_4+e);
 		}
+		catch (PartInitException e) {
+			System.out.println(XMLEditorMessages.OpenXMLEditor_4 + e);
+		}
 		return null;
 	}
 }
Index: tmp/org.txm.xmleditor.rcp/.classpath
===================================================================
--- tmp/org.txm.xmleditor.rcp/.classpath	(revision 2401)
+++ tmp/org.txm.xmleditor.rcp/.classpath	(revision 2402)
@@ -1,11 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.translate.rcp/.classpath
===================================================================
--- tmp/org.txm.translate.rcp/.classpath	(revision 2401)
+++ tmp/org.txm.translate.rcp/.classpath	(revision 2402)
@@ -1,13 +1,17 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry exported="true" kind="con" path="GROOVY_SUPPORT"/>
-	  <classpathentry exported="true" kind="con" path="GROOVY_DSL_SUPPORT"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry exported="true" kind="con"
+		path="GROOVY_SUPPORT" />
+	<classpathentry exported="true" kind="con"
+		path="GROOVY_DSL_SUPPORT" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.wordcloud.rcp/.classpath
===================================================================
--- tmp/org.txm.wordcloud.rcp/.classpath	(revision 2401)
+++ tmp/org.txm.wordcloud.rcp/.classpath	(revision 2402)
@@ -1,11 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/preferences/WordCloudPreferencePage.java
===================================================================
--- tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/preferences/WordCloudPreferencePage.java	(revision 2401)
+++ tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/preferences/WordCloudPreferencePage.java	(revision 2402)
@@ -1,6 +1,7 @@
 package org.txm.wordcloud.rcp.preferences;
 
 // Copyright © 2010-2013 ENS de Lyon.
+
 // Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
 // Lyon 2, University of Franche-Comté, University of Nice
 // Sophia Antipolis, University of Paris 3.
@@ -42,13 +43,14 @@
 
 /**
  * Word cloud preference page.
+ * 
  * @author mdecorde
  * @author sjacquot
  *
  */
 public class WordCloudPreferencePage extends TXMPreferencePage {
-
-
+	
+	
 	@Override
 	public void createFieldEditors() {
 		
@@ -62,14 +64,14 @@
 		
 		// other shared preferences
 		SWTChartsComponentsProvider.createChartsRenderingPreferencesFields(this, chartsTab);
-
+		
 	}
 	
 	
 	@Override
 	public void init(IWorkbench workbench) {
 		this.setPreferenceStore(new TXMPreferenceStore(WordCloudPreferences.getInstance().getPreferencesNodeQualifier()));
-		//this.setTitle("WordCloud");
+		// this.setTitle("WordCloud");
 		this.setImageDescriptor(WordCloudAdapterFactory.ICON);
 	}
-}
\ No newline at end of file
+}
Index: tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/adapters/WordCloudAdapterFactory.java
===================================================================
--- tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/adapters/WordCloudAdapterFactory.java	(revision 2401)
+++ tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/adapters/WordCloudAdapterFactory.java	(revision 2402)
@@ -16,18 +16,18 @@
  * @author sjacquot
  */
 public class WordCloudAdapterFactory extends TXMResultAdapterFactory {
-
 	
-	public static final ImageDescriptor ICON =
-			AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(WordCloudAdapterFactory.class).getSymbolicName(),
-					"platform:/plugin/"+ FrameworkUtil.getBundle(WordCloudAdapterFactory.class).getSymbolicName() + "/icons/functions/wordcloud.png"); //$NON-NLS-1$
-
 	
+	public static final ImageDescriptor ICON = AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(WordCloudAdapterFactory.class).getSymbolicName(),
+			"platform:/plugin/" + FrameworkUtil.getBundle(WordCloudAdapterFactory.class).getSymbolicName() + "/icons/functions/wordcloud.png"); //$NON-NLS-1$
 	
+	
+	
 	@Override
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
-		if(this.canAdapt(adapterType) && adaptableObject instanceof WordCloud)	{
+		if (this.canAdapt(adapterType) && adaptableObject instanceof WordCloud) {
 			return new TXMResultAdapter() {
+				
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
 					return ICON;
@@ -36,6 +36,6 @@
 		}
 		return null;
 	}
-
-
+	
+	
 }
Index: tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/messages/WordCloudUIMessages.java
===================================================================
--- tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/messages/WordCloudUIMessages.java	(revision 2401)
+++ tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/messages/WordCloudUIMessages.java	(revision 2402)
@@ -13,21 +13,28 @@
 	
 	private static final String BUNDLE_NAME = "org.txm.wordcloud.rcp.messages.messages"; //$NON-NLS-1$
 	
-	public static String vmax; 
-	public static String fmin; 
-	public static String percentOfRotatedLabelsColon; 
-	public static String randomizePositions; 
-	public static String wordCloudReadyColon; 
-	public static String numberOfUsedWords; 
-	public static String minimalFrequencyForUsedWords; 
-	public static String percentOfRotatedWords; 
-	public static String randomWordPositions; 
-
+	public static String vmax;
+	
+	public static String fmin;
+	
+	public static String percentOfRotatedLabelsColon;
+	
+	public static String randomizePositions;
+	
+	public static String wordCloudReadyColon;
+	
+	public static String numberOfUsedWords;
+	
+	public static String minimalFrequencyForUsedWords;
+	
+	public static String percentOfRotatedWords;
+	
+	public static String randomWordPositions;
+	
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, WordCloudUIMessages.class);
 	}
-
-	private WordCloudUIMessages() {
-	}
+	
+	private WordCloudUIMessages() {}
 }
Index: tmp/org.txm.tokenizer.core/.classpath
===================================================================
--- tmp/org.txm.tokenizer.core/.classpath	(revision 2401)
+++ tmp/org.txm.tokenizer.core/.classpath	(revision 2402)
@@ -1,9 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry exported="true" kind="con" path="GROOVY_SUPPORT"/>
-	  <classpathentry exported="true" kind="con" path="GROOVY_DSL_SUPPORT"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins" />
+	<classpathentry kind="src" path="src" />
+	<classpathentry exported="true" kind="con"
+		path="GROOVY_SUPPORT" />
+	<classpathentry exported="true" kind="con"
+		path="GROOVY_DSL_SUPPORT" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.textsbalance.core/.classpath
===================================================================
--- tmp/org.txm.textsbalance.core/.classpath	(revision 2401)
+++ tmp/org.txm.textsbalance.core/.classpath	(revision 2402)
@@ -1,11 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.treetagger.core/.classpath
===================================================================
--- tmp/org.txm.treetagger.core/.classpath	(revision 2401)
+++ tmp/org.txm.treetagger.core/.classpath	(revision 2402)
@@ -1,13 +1,17 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry exported="true" kind="con" path="GROOVY_SUPPORT"/>
-	  <classpathentry exported="true" kind="con" path="GROOVY_DSL_SUPPORT"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry exported="true" kind="con"
+		path="GROOVY_SUPPORT" />
+	<classpathentry exported="true" kind="con"
+		path="GROOVY_DSL_SUPPORT" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.treetaggerinstaller.rcp/.classpath
===================================================================
--- tmp/org.txm.treetaggerinstaller.rcp/.classpath	(revision 2401)
+++ tmp/org.txm.treetaggerinstaller.rcp/.classpath	(revision 2402)
@@ -1,12 +1,15 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry exported="true" kind="lib" path="TreeTagger/"/>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry exported="true" kind="lib"
+		path="TreeTagger/" />
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.treetaggerinstaller.rcp/src/org/txm/treetagger/DoInstallStep.java
===================================================================
--- tmp/org.txm.treetaggerinstaller.rcp/src/org/txm/treetagger/DoInstallStep.java	(revision 2401)
+++ tmp/org.txm.treetaggerinstaller.rcp/src/org/txm/treetagger/DoInstallStep.java	(revision 2402)
@@ -19,6 +19,7 @@
 
 
 public class DoInstallStep extends PostInstallationStep {
+	
 	protected String name = "TreeTaggerInstaller"; //$NON-NLS-1$
 	
 	@Override
@@ -26,7 +27,9 @@
 		
 	}
 	
-	public DoInstallStep() { name = "TreeTagger"; }
+	public DoInstallStep() {
+		name = "TreeTagger";
+	}
 	
 	@Override
 	public void install() {
@@ -41,19 +44,21 @@
 				return; // nothing to do
 			}
 		}
-		System.out.println("Updating TreeTagger preferences for TreeTaggerInstaller version="+currentVersion);
+		System.out.println("Updating TreeTagger preferences for TreeTaggerInstaller version=" + currentVersion);
 		
 		String os = "win";
-		if (Util.isWindows()) { //$NON-NLS-1$
+		if (Util.isWindows()) { // $NON-NLS-1$
 			os = "win";
-		} else if (Util.isMac()) { //$NON-NLS-1$
+		}
+		else if (Util.isMac()) { // $NON-NLS-1$
 			os = "macosx";
-		} else {
+		}
+		else {
 			os = "linux32";
 			if (System.getProperty("os.arch").contains("64"))
 				os = "linux64";
 		}
-
+		
 		File bundleDir = BundleUtils.getBundleFile("TreeTaggerInstaller");
 		if (bundleDir == null) {
 			System.out.println("Error while retrieving TreeTaggerInstaller bundle directory.");
@@ -62,55 +67,62 @@
 		File treetaggerDir = new File(bundleDir, "TreeTagger");
 		File OSDir = new File(treetaggerDir, os);
 		final File treetaggerModelsDir = new File(treetaggerDir, "models");
-
+		
 		TreeTaggerPreferences.getInstance().put(TreeTaggerPreferences.INSTALL_PATH, OSDir.getAbsolutePath());
 		
 		final String previousModelDirectoryPath = TreeTaggerPreferences.getInstance().getString(TreeTaggerPreferences.MODELS_PATH);
 		if (previousModelDirectoryPath == null) {
-			Log.info("Set TreeTagger model directory to: "+treetaggerModelsDir);
+			Log.info("Set TreeTagger model directory to: " + treetaggerModelsDir);
 			TreeTaggerPreferences.getInstance().put(TreeTaggerPreferences.MODELS_PATH, treetaggerModelsDir.getAbsolutePath());
-		} else if (previousModelDirectoryPath.equals(treetaggerModelsDir.getAbsolutePath())) {
-			// nothing to do	
+		}
+		else if (previousModelDirectoryPath.equals(treetaggerModelsDir.getAbsolutePath())) {
+			// nothing to do
 			Log.info("No change to TreeTagger model directory.");
-		} else {
+		}
+		else {
 			final File previousModelDirectoryDirectory = new File(previousModelDirectoryPath);
 			final File[] files = previousModelDirectoryDirectory.listFiles();
-			if (previousModelDirectoryDirectory.exists() && previousModelDirectoryDirectory.isDirectory() 
+			if (previousModelDirectoryDirectory.exists() && previousModelDirectoryDirectory.isDirectory()
 					&& files != null && files.length > 0) {
 				
-				Log.info("TreeTagger model directory already set to: "+previousModelDirectoryDirectory);
-//				final ;
-//				if (Display.getCurrent() == null) display = Display.getDefault();
-//				else display = Display.getCurrent();
-//				
-//				if (display == null) return;
+				Log.info("TreeTagger model directory already set to: " + previousModelDirectoryDirectory);
+				// final ;
+				// if (Display.getCurrent() == null) display = Display.getDefault();
+				// else display = Display.getCurrent();
+				//
+				// if (display == null) return;
 				final Display display = TXMWindows.getDisplay();
 				display.syncExec(new Runnable() {
+					
 					@Override
 					public void run() {
 						Shell shell = display.getActiveShell(); // ask user if he's sure
 						String[] filenames = new String[files.length];
-						for (int i = 0 ; i < files.length ; i++) filenames[i] = files[i].getName();
-						boolean b = MessageDialog.openConfirm(shell, "TreeTagger model directory", "The TreeTagger model directory is already set in TXM preferences and is not empty: \n  - "+StringUtils.join(filenames, "\n  - ")+"\n\nKeep using this one ?\n("+previousModelDirectoryPath+")");
+						for (int i = 0; i < files.length; i++)
+							filenames[i] = files[i].getName();
+						boolean b = MessageDialog.openConfirm(shell, "TreeTagger model directory", "The TreeTagger model directory is already set in TXM preferences and is not empty: \n  - "
+								+ StringUtils.join(filenames, "\n  - ") + "\n\nKeep using this one ?\n(" + previousModelDirectoryPath + ")");
 						if (!b) {
-							Log.info("Set TreeTagger model directory to: "+treetaggerModelsDir);
+							Log.info("Set TreeTagger model directory to: " + treetaggerModelsDir);
 							TreeTaggerPreferences.getInstance().put(TreeTaggerPreferences.MODELS_PATH, treetaggerModelsDir.getAbsolutePath());
-						} else {
-							Log.info("Keep TreeTagger model directory to: "+previousModelDirectoryDirectory);
 						}
+						else {
+							Log.info("Keep TreeTagger model directory to: " + previousModelDirectoryDirectory);
+						}
 					}
 				});
-			} else {
+			}
+			else {
 				TreeTaggerPreferences.getInstance().put(TreeTaggerPreferences.MODELS_PATH, treetaggerModelsDir.getAbsolutePath());
 			}
 		}
 		
 		String ttdir = TreeTaggerPreferences.getInstance().getString(TreeTaggerPreferences.INSTALL_PATH);
 		String ttmodeldir = TreeTaggerPreferences.getInstance().getString(TreeTaggerPreferences.MODELS_PATH);
-		Log.warning("TreeTagger preferences set to: "+ttdir+ " and "+ttmodeldir);
+		Log.warning("TreeTagger preferences set to: " + ttdir + " and " + ttmodeldir);
 		TXMPreferences.put(TreeTaggerInstallerPreferences.PREFERENCES_NODE, TreeTaggerInstallerPreferences.VERSION, currentVersion.toString());
 		
-		//FIXME: to beremoved when 0.8.0 preferences are ready 
+		// FIXME: to beremoved when 0.8.0 preferences are ready
 		TreeTaggerPreferences.getInstance().put(TreeTaggerPreferences.INSTALL_PATH, ttdir);
 		TreeTaggerPreferences.getInstance().put(TreeTaggerPreferences.MODELS_PATH, ttmodeldir);
 	}
Index: tmp/org.txm.textsbalance.rcp/.classpath
===================================================================
--- tmp/org.txm.textsbalance.rcp/.classpath	(revision 2401)
+++ tmp/org.txm.textsbalance.rcp/.classpath	(revision 2402)
@@ -1,11 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.tigersearch.rcp/.classpath
===================================================================
--- tmp/org.txm.tigersearch.rcp/.classpath	(revision 2401)
+++ tmp/org.txm.tigersearch.rcp/.classpath	(revision 2402)
@@ -1,23 +1,28 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry exported="true" kind="lib" path="lib/"/>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry exported="true"
-                   kind="con"
-                   path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry exported="true" kind="lib" path="lib/dom4j-1.6.1.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/log4j-1.2.12.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/TigerSearch.jar">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry exported="true" kind="con" path="GROOVY_SUPPORT"/>
-	  <classpathentry exported="true" kind="con" path="GROOVY_DSL_SUPPORT"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry exported="true" kind="lib" path="lib/" />
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry exported="true" kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/dom4j-1.6.1.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/log4j-1.2.12.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/TigerSearch.jar">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry exported="true" kind="con"
+		path="GROOVY_SUPPORT" />
+	<classpathentry exported="true" kind="con"
+		path="GROOVY_DSL_SUPPORT" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
